Jump to content
harrydang

line type change

Recommended Posts

harrydang

Hello guys,

 

I working on AutoCAD 2010. And for some reasons, some line types have changed as shown in the attachments (linetype scale, lineweight, and thickness are not changed). Could you please tell me why and how to fix this issue? Much appreciated!

Capture 1.PNG

Capture2.PNG

Capture3.PNG

Capture4.jpg

Share this post


Link to post
Share on other sites
eldon

These linetypes use a letter in their definition. These letters have a Textstyle associated with them. For ease of use, the textstyle used is usually Standard, because it automatically exists in every drawing.

 

My thoughts are that the Standard textstyle has got different fonts in your drawings. Change to a common font and your linetypes will appear the same.

Share this post


Link to post
Share on other sites
CyberAngel

Don't forget that, whenever you bring an entity with the Standard font into a drawing, its definition overrides the previous one. You may have changed Standard without realizing it. One solution is to include an initialization routine that replaces the current definition with your default. Another is to redefine your linetypes.

Share this post


Link to post
Share on other sites
harrydang

Hi Eldon,

 

Thanks for getting back to me. These linetypes are created as standards and I just copied and pasted for convenient use. I also bring some blocks from other drawings into mine. Before doing that, I purged all the items, which I guess causes a conflict between two drawings.

 

I have changed all the textstyle (text and Mtext) to standard but it does not help. Would there be anything I overlooked?

 

Thank you

Share this post


Link to post
Share on other sites
harrydang

Hi CyberAngel,

 

Yes, I have brought some other blocks to my drawing and I guess these different standard might lead to a conflict.

Regarding the 1st solution, I have done a massive work on the drawing and I do not want to redo it. :cry: (did not know which steps changed the definition)

For the 2nd solution, can you please teach me how to redefine the linetypes. (Sorry I am brandnew. :lol:)

Many thanks

Share this post


Link to post
Share on other sites
eldon
Hi Eldon,

 

Thanks for getting back to me. These linetypes are created as standards (?) and I just copied and pasted for convenient use. I also bring some blocks from other drawings into mine. Before doing that, I purged all the items, which I guess causes a conflict between two drawings.

 

I have changed all the textstyle (text and Mtext) to standard but it does not help. Would there be anything I overlooked?

 

Thank you

 

The actual font used for the Standard textstyle is all important. Each individual font has its own points of insertion for the different characters. So in the linetype definition, the x and y factors only apply to the font used, and will be different for a different font.

 

Go into the Text Style manager and see what font name has been used, and make these the same for both drawings.

 

Blocks have no effect and purging has no effect, but the specific font used for the Standard Text Style does have effect.

 

If you want to use a different font, then you will have to edit the linetype definition file.

Textstyle.PNG

Share this post


Link to post
Share on other sites
harrydang
The actual font used for the Standard textstyle is all important. Each individual font has its own points of insertion for the different characters. So in the linetype definition, the x and y factors only apply to the font used, and will be different for a different font.

 

Go into the Text Style manager and see what font name has been used, and make these the same for both drawings.

 

Blocks have no effect and purging has no effect, but the specific font used for the Standard Text Style does have effect.

 

If you want to use a different font, then you will have to edit the linetype definition file.

 

Finally, I am with you now. I have changed text height to 2.5 (meant to be 0.00). Now, everything comes back to normal.

 

Thank you so much Eldon

Share this post


Link to post
Share on other sites
tombu

The issue for these linetypes can easily be avoided by not using Text Styles:

*FENCE, Fence -per FDOT's AUTOCAD Users Supplement---- X ---- X ---- X ---- X ---- X ---- 
;A,.5,-.025,[TRACK1,ltypeshp,a=135,s=.08],0,[TRACK1,ltypeshp,a=45,s=.08],-.025,.5
A,.5,-.025,[TRACK1,ltypeshp,r=135,s=.08],0,[TRACK1,ltypeshp,r=45,s=.08],-.025,.5
*LARW,Limited Access R/W -per FDOT's AUTOCAD Users Supplement ----- / - / - / ----- / - / - / -----
A,.635,-.035,[TRACK1,ltypeshp,r=150,s=.06],-.04,.15,-.035,[TRACK1,ltypeshp,r=150,s=.06],-.04,.15,-.035,[TRACK1,ltypeshp,r=150,s=.06],-.04

ltypeshp shp & shx files are included with every AutoCAD install.

Share this post


Link to post
Share on other sites
tombu

To use complex linetypes with text without issues never reference the Standard text style as it could be any font. Create both text style names and lin files that match the font used. I keep all my lin files in my Roamable Support Folder so while the default is acad.lin when I click [Load…] in the Linetype Manager I can select any of my lin files like Arial.lin by clicking [File…].

 

You have to remember to add the matching text style first, I have a drop-down in my Ribbon for adding text styles to make it simple.

; Add New Text Style by Tom Beauford
(defun NewStyle (TxtStyle Font / acadApp acadDoc styles objStyle FType)
 (setq acadApp (vlax-get-Acad-object)
       acadDoc (vla-get-ActiveDocument acadApp)
       styles (vla-get-textstyles acadDoc)
       objStyle (vla-add styles TxtStyle)
       FType (vl-filename-extension Font)
 )
 (if(= ".ttf" FType)(setq Font (strcat "C:\\Windows\\Fonts\\" Font)))
 (setq Font (findfile Font))
 (princ "\nFont = ")(princ Font)(princ)
 (vla-put-fontfile objStyle Font)
 (princ)
)
;^C^C^P(or NewStyle (load "NewStyle.lsp"))(or(tblsearch "style" "Romans")(NewStyle "Romans" "romans.shx"))
;^C^C^P(or NewStyle (load "NewStyle.lsp"))(or(tblsearch "style" "Simplex")(NewStyle "Simplex" "simplex.shx"))
;^C^C^P(or NewStyle (load "NewStyle.lsp"))(or(tblsearch "style" "Arial")(NewStyle "Arial" "arial.ttf"))
;^C^C^P(or NewStyle (load "NewStyle.lsp"))(or(tblsearch "style" "Arial Bold")(NewStyle "Arial Bold" "arialbd.ttf"))
;^C^C^P(or NewStyle (load "NewStyle.lsp"))(or(tblsearch "style" "Arial Narrow")(NewStyle "Arial Narrow" "arialn.ttf"))
;^C^C^P(or NewStyle (load "NewStyle.lsp"))(tblsearch "style" "Swiss Lt BT")(NewStyle "Swiss Lt BT" "swissl.ttf"))

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×